// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package member

import (
	"net/http"

	"gateway/internal/logic/member"
	"gateway/internal/response"
	"gateway/internal/svc"
)

// TOTP 狀態
func GetTOTPStatusHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := member.NewGetTOTPStatusLogic(actorContext(r.Context(), r), svcCtx)
		data, err := l.GetTOTPStatus()
		response.Write(r.Context(), w, data, err)
	}
}
